summaryrefslogtreecommitdiffstats
path: root/debian/bind9-host.prerm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:42:27 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-05-05 18:42:27 +0000
commit6bcffd0a4e8ebca388b3b515c5c73de68c9f97cc (patch)
tree25315ccbbe58dd58c0bc78ca2603fadc163f44c1 /debian/bind9-host.prerm
parentUsing update-alternatives to handle /usr/bin/nsupdate. (diff)
downloadbind9-6bcffd0a4e8ebca388b3b515c5c73de68c9f97cc.tar.xz
bind9-6bcffd0a4e8ebca388b3b515c5c73de68c9f97cc.zip
Using update-alternatives to handle /usr/bin/host.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to '')
-rw-r--r--debian/bind9-host.prerm23
1 files changed, 23 insertions, 0 deletions
diff --git a/debian/bind9-host.prerm b/debian/bind9-host.prerm
new file mode 100644
index 0000000..359634a
--- /dev/null
+++ b/debian/bind9-host.prerm
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+set -e
+
+case "${1}" in
+ remove|upgrade|deconfigure)
+ # update-alternatives: host
+ update-alternatives --quiet --remove host /usr/bin/host.bind9
+ ;;
+
+ failed-upgrade)
+
+ ;;
+
+ *)
+ echo "prerm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0